/*
 Copyright 2015 Nicolas Melot

 This file is part of Pelib.

 Pelib is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Pelib is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Pelib. If not, see <http://www.gnu.org/licenses/>.
*/

#include <pelib/Platform.hpp>
#include <pelib/Taskgraph.hpp>
#include <pelib/Algebra.hpp>

#include <crown/CrownConfig.hpp>

#ifndef CROWN_ALLOCATION
#define CROWN_ALLOCATION

namespace pelib
{
namespace crown
{
	class CrownAllocation
	{
		public:
			CrownAllocation(bool showOutput = false, bool showError = false);
			virtual ~CrownAllocation();
			virtual Algebra allocate(const Algebra&, std::map<const string, double> &stats) const = 0;
			virtual Taskgraph allocate(const Taskgraph&, const Platform&, const Algebra&, const CrownConfig *config, std::map<const string, double> &stats) const = 0;
			virtual float complexity(const Algebra &problem) const = 0;
			virtual float complexity(const Taskgraph&, const Platform&, const Algebra&, const CrownConfig* = NULL) const = 0;
			virtual std::string getShortDescription() const = 0;
			virtual CrownAllocation* clone() const = 0;
		protected:
	};
}
}

#endif

