/*
 Copyright 2015 Nicolas Melot

 This file is part of Pelib.

 Pelib is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Pelib is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Pelib. If not, see <http://www.gnu.org/licenses/>.
*/

#include <crown/CrownScheduler.hpp>

#ifndef CROWN_COMPOSITE
#define CROWN_COMPOSITE

namespace pelib
{
namespace crown
{
	class CrownComposite : public CrownScheduler
	{
		public:
			CrownComposite(const CrownScheduler *coreScheduler = NULL, bool showOutput = false, bool showError = false);
			CrownComposite(const Algebra &param, const CrownScheduler *coreScheduler = NULL, bool showOutput = false, bool showError = false);
			CrownComposite(const Taskgraph &tg, const Platform &pt, const Algebra &param, const CrownScheduler *coreScheduler = NULL, bool showOutput = false, bool showError = false);
			CrownComposite(const CrownComposite&);
			virtual ~CrownComposite();
			std::string getShortDescription() const;
			const CrownScheduler *scheduler;
		protected:
		private:
			void initialize(const CrownScheduler * = NULL);
	};
}
}

#endif
