/*
 Copyright 2015 Nicolas Melot

 This file is part of Pelib.

 Pelib is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Pelib is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Pelib. If not, see <http://www.gnu.org/licenses/>.
*/

#include <pelib/Platform.hpp>
#include <pelib/Taskgraph.hpp>
#include <pelib/Algebra.hpp>

#ifndef CROWN_CONFIG
#define CROWN_CONFIG

namespace pelib
{
namespace crown
{
	class CrownConfig
	{
		public:
			virtual ~CrownConfig() = 0;
			virtual Algebra configure(const Taskgraph&, const Platform&, const Algebra&, map<const string, double> &stats) const = 0;
			virtual std::string getShortDescription() const = 0;
			virtual CrownConfig* clone() const = 0;
			virtual float complexity(const Algebra &problem) const = 0;
			virtual float complexity(const Taskgraph&, const Platform&, const Algebra&) const = 0;

			static const string crownConfigGroups;
			static const string crownConfigTree;
		protected:
	};
}
}

#endif

