/*
 Copyright 2015 Nicolas Melot

 This file is part of Crown.

 Crown is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Crown is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Crown. If not, see <http://www.gnu.org/licenses/>.
*/


#include <iostream>
#include <cstdlib>
#include <fstream>
#include <string>
#include <boost/regex.hpp>
#include <iomanip>

#include <crown/CrownException.hpp>

#ifdef debug
#undef debug
#endif

#define debug(var) cout << "[" << __FILE__ << ":" << __FUNCTION__ << ":" << __LINE__ << "] " << #var << " = \"" << (var) << "\"" << endl;

using namespace std;
using namespace pelib;
using namespace crown;

CrownException::CrownException(const std::string &message): msg(message)
{
	// Do nothing else
}

CrownException::CrownException(const char *message): msg(message)
{
	// Do nothing else
}

CrownException::~CrownException() throw()
{
	// Do nothing
}

const char*
CrownException::what() const throw()
{
	std::string fin = std::string("Crown exception: ").append(this->msg).c_str();
	const char *message = fin.c_str();
	char *cpy = (char*)malloc(sizeof(char) * (strlen(message) + 1));
	strcpy(cpy, message);
	return cpy;
}
