/*
 Copyright 2015 Nicolas Melot

 This file is part of Crown.

 Crown is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 Crown is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Crown. If not, see <http://www.gnu.org/licenses/>.

*/


pelib::Algebra
buildRecord()
{
pelib::Algebra new_record;
std::set<float> set_F;
set_F.insert(1);
set_F.insert(2);
set_F.insert(3);
set_F.insert(4);
set_F.insert(5);
pelib::Set<float> F("F", set_F);
new_record.insert(&F);
pelib::Scalar<float> M("M", 64.491661);
new_record.insert(&M);
std::map<int, float> map_Tau;
map_Tau.insert(std::pair<int, float>(1, 27));
map_Tau.insert(std::pair<int, float>(2, 13));
map_Tau.insert(std::pair<int, float>(3, 16));
map_Tau.insert(std::pair<int, float>(4, 11));
map_Tau.insert(std::pair<int, float>(5, 27));
map_Tau.insert(std::pair<int, float>(6, 16));
map_Tau.insert(std::pair<int, float>(7, 34));
map_Tau.insert(std::pair<int, float>(8, 25));
map_Tau.insert(std::pair<int, float>(9, 27));
map_Tau.insert(std::pair<int, float>(10, 17));
pelib::Vector<int, float> Tau("Tau", map_Tau);
new_record.insert(&Tau);
std::map<int, float> map_Wi;
map_Wi.insert(std::pair<int, float>(1, 9));
map_Wi.insert(std::pair<int, float>(2, 9));
map_Wi.insert(std::pair<int, float>(3, 12));
map_Wi.insert(std::pair<int, float>(4, 8));
map_Wi.insert(std::pair<int, float>(5, 16));
map_Wi.insert(std::pair<int, float>(6, 12));
map_Wi.insert(std::pair<int, float>(7, 10));
map_Wi.insert(std::pair<int, float>(8, 15));
map_Wi.insert(std::pair<int, float>(9, 14));
map_Wi.insert(std::pair<int, float>(10, 20));
pelib::Vector<int, float> Wi("Wi", map_Wi);
new_record.insert(&Wi);
pelib::Scalar<float> alpha("alpha", 3.000000);
new_record.insert(&alpha);
pelib::Scalar<float> b("b", 2);
new_record.insert(&b);
std::map<int, std::map<int, float> > map_e;
std::map<int, float> map_row;
map_row.insert(std::pair<int, float>(1, 1.000000));
map_row.insert(std::pair<int, float>(2, 0.985185));
map_row.insert(std::pair<int, float>(3, 0.966667));
map_row.insert(std::pair<int, float>(4, 0.940741));
map_row.insert(std::pair<int, float>(5, 0.907407));
map_row.insert(std::pair<int, float>(6, 0.866667));
map_row.insert(std::pair<int, float>(7, 0.818519));
map_row.insert(std::pair<int, float>(8, 0.762963));
map_row.insert(std::pair<int, float>(9, 0.700000));
map_row.insert(std::pair<int, float>(10, 0.000001));
map_row.insert(std::pair<int, float>(11, 0.000001));
map_row.insert(std::pair<int, float>(12, 0.000001));
map_row.insert(std::pair<int, float>(13, 0.000001));
map_row.insert(std::pair<int, float>(14, 0.000001));
map_row.insert(std::pair<int, float>(15, 0.000001));
map_row.insert(std::pair<int, float>(16, 0.000001));
map_row.insert(std::pair<int, float>(17, 0.000001));
map_row.insert(std::pair<int, float>(18, 0.000001));
map_row.insert(std::pair<int, float>(19, 0.000001));
map_row.insert(std::pair<int, float>(20, 0.000001));
map_row.insert(std::pair<int, float>(21, 0.000001));
map_row.insert(std::pair<int, float>(22, 0.000001));
map_row.insert(std::pair<int, float>(23, 0.000001));
map_row.insert(std::pair<int, float>(24, 0.000001));
map_row.insert(std::pair<int, float>(25, 0.000001));
map_row.insert(std::pair<int, float>(26, 0.000001));
map_row.insert(std::pair<int, float>(27, 0.000001));
map_row.insert(std::pair<int, float>(28, 0.000001));
map_row.insert(std::pair<int, float>(29, 0.000001));
map_row.insert(std::pair<int, float>(30, 0.000001));
map_row.insert(std::pair<int, float>(31, 0.000001));
map_row.insert(std::pair<int, float>(32, 0.000001));
map_e.insert(std::pair<int, std::map<int, float> >(1, map_row));
map_row = std::map<int, float>();
map_row.insert(std::pair<int, float>(1, 1.000000));
map_row.insert(std::pair<int, float>(2, 0.985185));
map_row.insert(std::pair<int, float>(3, 0.966667));
map_row.insert(std::pair<int, float>(4, 0.940741));
map_row.insert(std::pair<int, float>(5, 0.907407));
map_row.insert(std::pair<int, float>(6, 0.866667));
map_row.insert(std::pair<int, float>(7, 0.818519));
map_row.insert(std::pair<int, float>(8, 0.762963));
map_row.insert(std::pair<int, float>(9, 0.700000));
map_row.insert(std::pair<int, float>(10, 0.000001));
map_row.insert(std::pair<int, float>(11, 0.000001));
map_row.insert(std::pair<int, float>(12, 0.000001));
map_row.insert(std::pair<int, float>(13, 0.000001));
map_row.insert(std::pair<int, float>(14, 0.000001));
map_row.insert(std::pair<int, float>(15, 0.000001));
map_row.insert(std::pair<int, float>(16, 0.000001));
map_row.insert(std::pair<int, float>(17, 0.000001));
map_row.insert(std::pair<int, float>(18, 0.000001));
map_row.insert(std::pair<int, float>(19, 0.000001));
map_row.insert(std::pair<int, float>(20, 0.000001));
map_row.insert(std::pair<int, float>(21, 0.000001));
map_row.insert(std::pair<int, float>(22, 0.000001));
map_row.insert(std::pair<int, float>(23, 0.000001));
map_row.insert(std::pair<int, float>(24, 0.000001));
map_row.insert(std::pair<int, float>(25, 0.000001));
map_row.insert(std::pair<int, float>(26, 0.000001));
map_row.insert(std::pair<int, float>(27, 0.000001));
map_row.insert(std::pair<int, float>(28, 0.000001));
map_row.insert(std::pair<int, float>(29, 0.000001));
map_row.insert(std::pair<int, float>(30, 0.000001));
map_row.insert(std::pair<int, float>(31, 0.000001));
map_row.insert(std::pair<int, float>(32, 0.000001));
map_e.insert(std::pair<int, std::map<int, float> >(2, map_row));
map_row = std::map<int, float>();
map_row.insert(std::pair<int, float>(1, 1.000000));
map_row.insert(std::pair<int, float>(2, 0.991667));
map_row.insert(std::pair<int, float>(3, 0.981250));
map_row.insert(std::pair<int, float>(4, 0.966667));
map_row.insert(std::pair<int, float>(5, 0.947917));
map_row.insert(std::pair<int, float>(6, 0.925000));
map_row.insert(std::pair<int, float>(7, 0.897917));
map_row.insert(std::pair<int, float>(8, 0.866667));
map_row.insert(std::pair<int, float>(9, 0.831250));
map_row.insert(std::pair<int, float>(10, 0.791667));
map_row.insert(std::pair<int, float>(11, 0.747917));
map_row.insert(std::pair<int, float>(12, 0.700000));
map_row.insert(std::pair<int, float>(13, 0.000001));
map_row.insert(std::pair<int, float>(14, 0.000001));
map_row.insert(std::pair<int, float>(15, 0.000001));
map_row.insert(std::pair<int, float>(16, 0.000001));
map_row.insert(std::pair<int, float>(17, 0.000001));
map_row.insert(std::pair<int, float>(18, 0.000001));
map_row.insert(std::pair<int, float>(19, 0.000001));
map_row.insert(std::pair<int, float>(20, 0.000001));
map_row.insert(std::pair<int, float>(21, 0.000001));
map_row.insert(std::pair<int, float>(22, 0.000001));
map_row.insert(std::pair<int, float>(23, 0.000001));
map_row.insert(std::pair<int, float>(24, 0.000001));
map_row.insert(std::pair<int, float>(25, 0.000001));
map_row.insert(std::pair<int, float>(26, 0.000001));
map_row.insert(std::pair<int, float>(27, 0.000001));
map_row.insert(std::pair<int, float>(28, 0.000001));
map_row.insert(std::pair<int, float>(29, 0.000001));
map_row.insert(std::pair<int, float>(30, 0.000001));
map_row.insert(std::pair<int, float>(31, 0.000001));
map_row.insert(std::pair<int, float>(32, 0.000001));
map_e.insert(std::pair<int, std::map<int, float> >(3, map_row));
map_row = std::map<int, float>();
map_row.insert(std::pair<int, float>(1, 1.000000));
map_row.insert(std::pair<int, float>(2, 0.981250));
map_row.insert(std::pair<int, float>(3, 0.957812));
map_row.insert(std::pair<int, float>(4, 0.925000));
map_row.insert(std::pair<int, float>(5, 0.882812));
map_row.insert(std::pair<int, float>(6, 0.831250));
map_row.insert(std::pair<int, float>(7, 0.770312));
map_row.insert(std::pair<int, float>(8, 0.700000));
map_row.insert(std::pair<int, float>(9, 0.000001));
map_row.insert(std::pair<int, float>(10, 0.000001));
map_row.insert(std::pair<int, float>(11, 0.000001));
map_row.insert(std::pair<int, float>(12, 0.000001));
map_row.insert(std::pair<int, float>(13, 0.000001));
map_row.insert(std::pair<int, float>(14, 0.000001));
map_row.insert(std::pair<int, float>(15, 0.000001));
map_row.insert(std::pair<int, float>(16, 0.000001));
map_row.insert(std::pair<int, float>(17, 0.000001));
map_row.insert(std::pair<int, float>(18, 0.000001));
map_row.insert(std::pair<int, float>(19, 0.000001));
map_row.insert(std::pair<int, float>(20, 0.000001));
map_row.insert(std::pair<int, float>(21, 0.000001));
map_row.insert(std::pair<int, float>(22, 0.000001));
map_row.insert(std::pair<int, float>(23, 0.000001));
map_row.insert(std::pair<int, float>(24, 0.000001));
map_row.insert(std::pair<int, float>(25, 0.000001));
map_row.insert(std::pair<int, float>(26, 0.000001));
map_row.insert(std::pair<int, float>(27, 0.000001));
map_row.insert(std::pair<int, float>(28, 0.000001));
map_row.insert(std::pair<int, float>(29, 0.000001));
map_row.insert(std::pair<int, float>(30, 0.000001));
map_row.insert(std::pair<int, float>(31, 0.000001));
map_row.insert(std::pair<int, float>(32, 0.000001));
map_e.insert(std::pair<int, std::map<int, float> >(4, map_row));
map_row = std::map<int, float>();
map_row.insert(std::pair<int, float>(1, 1.000000));
map_row.insert(std::pair<int, float>(2, 0.995313));
map_row.insert(std::pair<int, float>(3, 0.989453));
map_row.insert(std::pair<int, float>(4, 0.981250));
map_row.insert(std::pair<int, float>(5, 0.970703));
map_row.insert(std::pair<int, float>(6, 0.957812));
map_row.insert(std::pair<int, float>(7, 0.942578));
map_row.insert(std::pair<int, float>(8, 0.925000));
map_row.insert(std::pair<int, float>(9, 0.905078));
map_row.insert(std::pair<int, float>(10, 0.882812));
map_row.insert(std::pair<int, float>(11, 0.858203));
map_row.insert(std::pair<int, float>(12, 0.831250));
map_row.insert(std::pair<int, float>(13, 0.801953));
map_row.insert(std::pair<int, float>(14, 0.770312));
map_row.insert(std::pair<int, float>(15, 0.736328));
map_row.insert(std::pair<int, float>(16, 0.700000));
map_row.insert(std::pair<int, float>(17, 0.000001));
map_row.insert(std::pair<int, float>(18, 0.000001));
map_row.insert(std::pair<int, float>(19, 0.000001));
map_row.insert(std::pair<int, float>(20, 0.000001));
map_row.insert(std::pair<int, float>(21, 0.000001));
map_row.insert(std::pair<int, float>(22, 0.000001));
map_row.insert(std::pair<int, float>(23, 0.000001));
map_row.insert(std::pair<int, float>(24, 0.000001));
map_row.insert(std::pair<int, float>(25, 0.000001));
map_row.insert(std::pair<int, float>(26, 0.000001));
map_row.insert(std::pair<int, float>(27, 0.000001));
map_row.insert(std::pair<int, float>(28, 0.000001));
map_row.insert(std::pair<int, float>(29, 0.000001));
map_row.insert(std::pair<int, float>(30, 0.000001));
map_row.insert(std::pair<int, float>(31, 0.000001));
map_row.insert(std::pair<int, float>(32, 0.000001));
map_e.insert(std::pair<int, std::map<int, float> >(5, map_row));
map_row = std::map<int, float>();
map_row.insert(std::pair<int, float>(1, 1.000000));
map_row.insert(std::pair<int, float>(2, 0.991667));
map_row.insert(std::pair<int, float>(3, 0.981250));
map_row.insert(std::pair<int, float>(4, 0.966667));
map_row.insert(std::pair<int, float>(5, 0.947917));
map_row.insert(std::pair<int, float>(6, 0.925000));
map_row.insert(std::pair<int, float>(7, 0.897917));
map_row.insert(std::pair<int, float>(8, 0.866667));
map_row.insert(std::pair<int, float>(9, 0.831250));
map_row.insert(std::pair<int, float>(10, 0.791667));
map_row.insert(std::pair<int, float>(11, 0.747917));
map_row.insert(std::pair<int, float>(12, 0.700000));
map_row.insert(std::pair<int, float>(13, 0.000001));
map_row.insert(std::pair<int, float>(14, 0.000001));
map_row.insert(std::pair<int, float>(15, 0.000001));
map_row.insert(std::pair<int, float>(16, 0.000001));
map_row.insert(std::pair<int, float>(17, 0.000001));
map_row.insert(std::pair<int, float>(18, 0.000001));
map_row.insert(std::pair<int, float>(19, 0.000001));
map_row.insert(std::pair<int, float>(20, 0.000001));
map_row.insert(std::pair<int, float>(21, 0.000001));
map_row.insert(std::pair<int, float>(22, 0.000001));
map_row.insert(std::pair<int, float>(23, 0.000001));
map_row.insert(std::pair<int, float>(24, 0.000001));
map_row.insert(std::pair<int, float>(25, 0.000001));
map_row.insert(std::pair<int, float>(26, 0.000001));
map_row.insert(std::pair<int, float>(27, 0.000001));
map_row.insert(std::pair<int, float>(28, 0.000001));
map_row.insert(std::pair<int, float>(29, 0.000001));
map_row.insert(std::pair<int, float>(30, 0.000001));
map_row.insert(std::pair<int, float>(31, 0.000001));
map_row.insert(std::pair<int, float>(32, 0.000001));
map_e.insert(std::pair<int, std::map<int, float> >(6, map_row));
map_row = std::map<int, float>();
map_row.insert(std::pair<int, float>(1, 1.000000));
map_row.insert(std::pair<int, float>(2, 0.988000));
map_row.insert(std::pair<int, float>(3, 0.973000));
map_row.insert(std::pair<int, float>(4, 0.952000));
map_row.insert(std::pair<int, float>(5, 0.925000));
map_row.insert(std::pair<int, float>(6, 0.892000));
map_row.insert(std::pair<int, float>(7, 0.853000));
map_row.insert(std::pair<int, float>(8, 0.808000));
map_row.insert(std::pair<int, float>(9, 0.757000));
map_row.insert(std::pair<int, float>(10, 0.700000));
map_row.insert(std::pair<int, float>(11, 0.000001));
map_row.insert(std::pair<int, float>(12, 0.000001));
map_row.insert(std::pair<int, float>(13, 0.000001));
map_row.insert(std::pair<int, float>(14, 0.000001));
map_row.insert(std::pair<int, float>(15, 0.000001));
map_row.insert(std::pair<int, float>(16, 0.000001));
map_row.insert(std::pair<int, float>(17, 0.000001));
map_row.insert(std::pair<int, float>(18, 0.000001));
map_row.insert(std::pair<int, float>(19, 0.000001));
map_row.insert(std::pair<int, float>(20, 0.000001));
map_row.insert(std::pair<int, float>(21, 0.000001));
map_row.insert(std::pair<int, float>(22, 0.000001));
map_row.insert(std::pair<int, float>(23, 0.000001));
map_row.insert(std::pair<int, float>(24, 0.000001));
map_row.insert(std::pair<int, float>(25, 0.000001));
map_row.insert(std::pair<int, float>(26, 0.000001));
map_row.insert(std::pair<int, float>(27, 0.000001));
map_row.insert(std::pair<int, float>(28, 0.000001));
map_row.insert(std::pair<int, float>(29, 0.000001));
map_row.insert(std::pair<int, float>(30, 0.000001));
map_row.insert(std::pair<int, float>(31, 0.000001));
map_row.insert(std::pair<int, float>(32, 0.000001));
map_e.insert(std::pair<int, std::map<int, float> >(7, map_row));
map_row = std::map<int, float>();
map_row.insert(std::pair<int, float>(1, 1.000000));
map_row.insert(std::pair<int, float>(2, 0.994667));
map_row.insert(std::pair<int, float>(3, 0.988000));
map_row.insert(std::pair<int, float>(4, 0.978667));
map_row.insert(std::pair<int, float>(5, 0.966667));
map_row.insert(std::pair<int, float>(6, 0.952000));
map_row.insert(std::pair<int, float>(7, 0.934667));
map_row.insert(std::pair<int, float>(8, 0.914667));
map_row.insert(std::pair<int, float>(9, 0.892000));
map_row.insert(std::pair<int, float>(10, 0.866667));
map_row.insert(std::pair<int, float>(11, 0.838667));
map_row.insert(std::pair<int, float>(12, 0.808000));
map_row.insert(std::pair<int, float>(13, 0.774667));
map_row.insert(std::pair<int, float>(14, 0.738667));
map_row.insert(std::pair<int, float>(15, 0.700000));
map_row.insert(std::pair<int, float>(16, 0.000001));
map_row.insert(std::pair<int, float>(17, 0.000001));
map_row.insert(std::pair<int, float>(18, 0.000001));
map_row.insert(std::pair<int, float>(19, 0.000001));
map_row.insert(std::pair<int, float>(20, 0.000001));
map_row.insert(std::pair<int, float>(21, 0.000001));
map_row.insert(std::pair<int, float>(22, 0.000001));
map_row.insert(std::pair<int, float>(23, 0.000001));
map_row.insert(std::pair<int, float>(24, 0.000001));
map_row.insert(std::pair<int, float>(25, 0.000001));
map_row.insert(std::pair<int, float>(26, 0.000001));
map_row.insert(std::pair<int, float>(27, 0.000001));
map_row.insert(std::pair<int, float>(28, 0.000001));
map_row.insert(std::pair<int, float>(29, 0.000001));
map_row.insert(std::pair<int, float>(30, 0.000001));
map_row.insert(std::pair<int, float>(31, 0.000001));
map_row.insert(std::pair<int, float>(32, 0.000001));
map_e.insert(std::pair<int, std::map<int, float> >(8, map_row));
map_row = std::map<int, float>();
map_row.insert(std::pair<int, float>(1, 1.000000));
map_row.insert(std::pair<int, float>(2, 0.993878));
map_row.insert(std::pair<int, float>(3, 0.986224));
map_row.insert(std::pair<int, float>(4, 0.975510));
map_row.insert(std::pair<int, float>(5, 0.961735));
map_row.insert(std::pair<int, float>(6, 0.944898));
map_row.insert(std::pair<int, float>(7, 0.925000));
map_row.insert(std::pair<int, float>(8, 0.902041));
map_row.insert(std::pair<int, float>(9, 0.876020));
map_row.insert(std::pair<int, float>(10, 0.846939));
map_row.insert(std::pair<int, float>(11, 0.814796));
map_row.insert(std::pair<int, float>(12, 0.779592));
map_row.insert(std::pair<int, float>(13, 0.741327));
map_row.insert(std::pair<int, float>(14, 0.700000));
map_row.insert(std::pair<int, float>(15, 0.000001));
map_row.insert(std::pair<int, float>(16, 0.000001));
map_row.insert(std::pair<int, float>(17, 0.000001));
map_row.insert(std::pair<int, float>(18, 0.000001));
map_row.insert(std::pair<int, float>(19, 0.000001));
map_row.insert(std::pair<int, float>(20, 0.000001));
map_row.insert(std::pair<int, float>(21, 0.000001));
map_row.insert(std::pair<int, float>(22, 0.000001));
map_row.insert(std::pair<int, float>(23, 0.000001));
map_row.insert(std::pair<int, float>(24, 0.000001));
map_row.insert(std::pair<int, float>(25, 0.000001));
map_row.insert(std::pair<int, float>(26, 0.000001));
map_row.insert(std::pair<int, float>(27, 0.000001));
map_row.insert(std::pair<int, float>(28, 0.000001));
map_row.insert(std::pair<int, float>(29, 0.000001));
map_row.insert(std::pair<int, float>(30, 0.000001));
map_row.insert(std::pair<int, float>(31, 0.000001));
map_row.insert(std::pair<int, float>(32, 0.000001));
map_e.insert(std::pair<int, std::map<int, float> >(9, map_row));
map_row = std::map<int, float>();
map_row.insert(std::pair<int, float>(1, 1.000000));
map_row.insert(std::pair<int, float>(2, 0.997000));
map_row.insert(std::pair<int, float>(3, 0.993250));
map_row.insert(std::pair<int, float>(4, 0.988000));
map_row.insert(std::pair<int, float>(5, 0.981250));
map_row.insert(std::pair<int, float>(6, 0.973000));
map_row.insert(std::pair<int, float>(7, 0.963250));
map_row.insert(std::pair<int, float>(8, 0.952000));
map_row.insert(std::pair<int, float>(9, 0.939250));
map_row.insert(std::pair<int, float>(10, 0.925000));
map_row.insert(std::pair<int, float>(11, 0.909250));
map_row.insert(std::pair<int, float>(12, 0.892000));
map_row.insert(std::pair<int, float>(13, 0.873250));
map_row.insert(std::pair<int, float>(14, 0.853000));
map_row.insert(std::pair<int, float>(15, 0.831250));
map_row.insert(std::pair<int, float>(16, 0.808000));
map_row.insert(std::pair<int, float>(17, 0.783250));
map_row.insert(std::pair<int, float>(18, 0.757000));
map_row.insert(std::pair<int, float>(19, 0.729250));
map_row.insert(std::pair<int, float>(20, 0.700000));
map_row.insert(std::pair<int, float>(21, 0.000001));
map_row.insert(std::pair<int, float>(22, 0.000001));
map_row.insert(std::pair<int, float>(23, 0.000001));
map_row.insert(std::pair<int, float>(24, 0.000001));
map_row.insert(std::pair<int, float>(25, 0.000001));
map_row.insert(std::pair<int, float>(26, 0.000001));
map_row.insert(std::pair<int, float>(27, 0.000001));
map_row.insert(std::pair<int, float>(28, 0.000001));
map_row.insert(std::pair<int, float>(29, 0.000001));
map_row.insert(std::pair<int, float>(30, 0.000001));
map_row.insert(std::pair<int, float>(31, 0.000001));
map_row.insert(std::pair<int, float>(32, 0.000001));
map_e.insert(std::pair<int, std::map<int, float> >(10, map_row));
map_row = std::map<int, float>();
pelib::Matrix<int, int, float> e("e", map_e);
new_record.insert(&e);
pelib::Scalar<float> n("n", 10);
new_record.insert(&n);
pelib::Scalar<float> p("p", 2);
new_record.insert(&p);
pelib::Scalar<float> zeta("zeta", 0.100000);
new_record.insert(&zeta);
return new_record;
}
